Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.lip6.type.matrix
Class MLMatrix<T>

    java.lang.Object
      fr.lip6.type.matrix.MLMatrix<T>

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ByteMatrix, DoubleMatrix, FloatMatrix, IntMatrix

    public abstract class MLMatrix<T>

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`int` | `nbCols`
`int` | `nbRows`
`T` | `values`

Constructor Summary
`MLMatrix()`

Method Summary
`abstract MLMatrix<T>` | `add(MLMatrix<T> m)` returns a new matrix sum of this matrix with the argument.
`abstract double` | `dot(MLMatrix<T> m)` return the dot product between matrices, ie sum of each components product.
`abstract MLMatrix<T>` | `mult(double d)` produce a new matrix with each component multiplied by a double

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    public T values

### nbRows

    public int nbRows

### nbCols

    public int nbCols

Constructor Detail

### MLMatrix

    public MLMatrix()

Method Detail

### add

    public abstract MLMatrix<T> add(MLMatrix<T> m)

  returns a new matrix sum of this matrix with the argument.

  Parameters:
    `m` - the matrix to add to this
  Returns:
    the sum

### mult

    public abstract MLMatrix<T> mult(double d)

  produce a new matrix with each component multiplied by a double

  Parameters:
    `d` -
  Returns:

### dot

    public abstract double dot(MLMatrix<T> m)

  return the dot product between matrices, ie sum of each components product.

  Parameters:
    `m` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD